FaceSign
REST API Reference

Get available avatars

Retrieve a list of all available avatars

GET
/avatars

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use format "Bearer sk_prod_..." or "Bearer sk_test_..."

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.facesign.ai/avatars"
{
  "avatars": [
    {
      "id": "string",
      "name": "string",
      "gender": "male",
      "imageUrl": "string"
    }
  ]
}
{
  "error": {
    "type": "authentication_error",
    "message": "Invalid API key provided"
  }
}
{
  "error": {
    "type": "authentication_error",
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "type": "rate_limit_error",
    "message": "Rate limit exceeded"
  }
}